Loading...
Searching...
No Matches
Opm::DeckView Class Reference
Inheritance diagram for Opm::DeckView:

## Classes

struct | Iterator

## Public Types

typedef std::vector< std::reference_wrapper< const DeckKeyword > > | storage_type

## Public Member Functions

Iterator | begin () const
Iterator | end () const
const DeckKeyword & | operator[] (std::size_t index) const
DeckView | operator[] (const std::string &keyword) const
std::vector< std::size_t > | index (const std::string &keyword) const
std::size_t | count (const std::string &keyword) const
const DeckKeyword & | front () const
const DeckKeyword & | back () const
void | add_keyword (const DeckKeyword &kw)
bool | has_keyword (const std::string &kw) const
bool | empty () const
std::size_t | size () const
template<class Keyword>
bool | has_keyword () const
template<class Keyword>
DeckView | get () const

The documentation for this class was generated from the following files:

- opm/input/eclipse/Deck/DeckView.hpp
- opm/input/eclipse/Deck/DeckView.cpp